[icecast] liblame

Jack Moffitt jack at icecast.org
Sat Apr 28 00:31:41 PDT 2001



> 1. I cannot get XML module to work ie. the conf file doesn't work
> 
> I have compiled and installed libxml-1.8.11 but when I start up IceS,
> it says something about the namespace.  So I tried compiling libxml2
> but that, for some reason, doesn't compile on my machine.

There's a bug.  Remove the comments from before the root node.  Ie,
everthing <!-- like this --> before <ices:Configuration> or whatever the
first tag is.

> 2. I cannot get the reencoding to work.
> 
> I have compiled lame3.70 and installed but IceS still says it can't
> find liblame.  Is it not included in lame3.70 tar file?  If not, where
> can I get it?

you might need to edit lame's makefile.  Recent reports have people
using liblame up to version 3.77 (but not with 3.8).

3.70 should work fine.  Just make sure the makefile is producing the lib
you want.

Also, remember you need to have /usr/local/lib (or whatever path the lib
installs to (/usr/local/lib is the default i believe)) in your
/etc/ld.so.conf and you'll have to run ldconfig.

jack.

--- >8 ----
List archives:  http://www.xiph.org/archives/
icecast project homepage: http://www.icecast.org/
To unsubscribe from this list, send a message to 'icecast-request at xiph.org'
containing only the word 'unsubscribe' in the body.  No subject is needed.
Unsubscribe messages sent to the list will be ignored/filtered.



More information about the Icecast mailing list